package com.fs.ad.controller.task;

import com.fs.ad.service.IBdReportDataService;
import com.fs.qw.service.IQwWorkUserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.time.LocalDate;

@Slf4j
@Component("baiduTask")
public class BaiduTask {

    @Autowired
    private IQwWorkUserService qwWorkUserService;
    @Autowired
    private IBdReportDataService bdReportDataService;

    /**
     * 同步完企微客户，然后对加微的数据信息筛选并上传给百度进行投流优化
     */
    public void bdUpload(){
        qwWorkUserService.uploadBd();
//        qwWorkUserService.uploadYk();
    }
    public void syncReportData(){
        bdReportDataService.syncReportData(LocalDate.now().minusDays(1));
    }


}
